Bug 8167 - Add syspref allow a choice of blocking, non-blocking, or do nothing when issuing lost items.
Summary: Add syspref allow a choice of blocking, non-blocking, or do nothing when issu...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Kyle M Hall
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-30 16:48 UTC by Kyle M Hall
Modified: 2013-12-05 20:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 8167 - Add syspref allow a choice of blocking, non-blocking, or do nothing when issuing lost items. (6.42 KB, patch)
2012-05-30 16:56 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2012-05-30 16:48:33 UTC

    
Comment 1 Kyle M Hall 2012-05-30 16:56:16 UTC
Created attachment 9851 [details] [review]
Bug 8167 - Add syspref allow a choice of blocking, non-blocking, or do nothing when issuing lost items.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Works as advertised.
Comment 2 Marcel de Rooy 2012-06-09 13:06:09 UTC
QA Comment:
Code looks good to me.
Passed QA
Comment 3 Paul Poulain 2012-06-09 14:27:21 UTC
I've pushed the patch because it works as advertised BUT I feel that:
+                  nothing : "do nothing"
can be confusing. Does it mean "do the check-in without saying anything" or "refuse to do the check-in".

(Reading the code it's "do the check-in saying nothing")
Comment 4 Jared Camins-Esakov 2012-12-31 01:04:09 UTC
There have been no further reports of problems so I am marking this bug resolved.